> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/clipboard/clipboard.gettext.md).

# Clipboard.getText

> 함수형 API `getClipboardText`으로도 같은 기능을 쓸 수 있어요.

### 기능 설명

클립보드에 저장된 텍스트를 가져와요. 클립보드에 텍스트가 없으면 빈 문자열을 반환해요.

클립보드 읽기 권한이 없으면 `GetClipboardTextPermissionError`가 발생해요. `Clipboard.getText.getPermission()`으로 권한 상태를 확인하고, `Clipboard.getText.openPermissionDialog()`로 권한을 다시 요청할 수 있어요.

### 타입

```ts
Clipboard.getText(): Promise<string>;
```

**Params**

없음

**Response**

클립보드에 저장된 텍스트를 반환해요. 텍스트가 없으면 빈 문자열이에요.

### 에러

에러는 클래스로 던져져요 — `error instanceof GetClipboardTextPermissionError`로 식별해요. 클래스는 `@apps-in-toss/web-framework`에서 import할 수 있어요.

| 에러 클래스                            | 설명                                                                              |
| --------------------------------- | ------------------------------------------------------------------------------- |
| `GetClipboardTextPermissionError` | 클립보드 읽기 권한이 거부된 경우예요. `Clipboard.getText.openPermissionDialog()`로 다시 요청할 수 있어요. |

### 예시 코드

#### JavaScript

```js
import {
  Clipboard,
  GetClipboardTextPermissionError,
} from "@apps-in-toss/web-framework";

try {
  const text = await Clipboard.getText();
  console.log(text);
} catch (error) {
  if (error instanceof GetClipboardTextPermissionError) {
    console.warn("클립보드 읽기 권한이 없어요.");
    return;
  }
  console.error(error);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/sdk/domains-api/clipboard/clipboard.gettext.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
